From fde68bd4178b8db262342047913b5b5d6b92a3d1 Mon Sep 17 00:00:00 2001
From: Jelte Fennema-Nio <jelte.fennema@microsoft.com>
Date: Fri, 5 Jan 2024 15:47:49 +0100
Subject: [PATCH v5 1/9] libpq: Remove instance of hardcoded protocol version

This removes a hardcoded protocol version number in libpq to make any
protocol bump in the future be a single line change.
---
 src/interfaces/libpq/fe-connect.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/interfaces/libpq/fe-connect.c b/src/interfaces/libpq/fe-connect.c
index 79e0b73d618..85da2a4e8dc 100644
--- a/src/interfaces/libpq/fe-connect.c
+++ b/src/interfaces/libpq/fe-connect.c
@@ -2777,7 +2777,7 @@ keep_going:						/* We will come back to here until there is
 		 * must persist across individual connection attempts, but we must
 		 * reset them when we start to consider a new server.
 		 */
-		conn->pversion = PG_PROTOCOL(3, 0);
+		conn->pversion = PG_PROTOCOL_LATEST;
 		conn->send_appname = true;
 #ifdef USE_SSL
 		/* initialize these values based on SSL mode */

base-commit: d3c5f37dd543498cc7c678815d3921823beec9e9
-- 
2.34.1

